ONVIF::Media::Types::LayoutOptions(3)

NAME
ONVIF::Media::Types::LayoutOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType LayoutOptions from the namespace http://www.onvif.org/ver10/schema.

The options supported for a display layout.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PaneLayoutOptions

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::LayoutOptions
   PaneLayoutOptions =>  { # ONVIF::Media::Types::PaneLayoutOptions
     Area => ,
     Extension =>  { # ONVIF::Media::Types::PaneOptionExtension
     },
   },
   Extension =>  { # ONVIF::Media::Types::LayoutOptionsExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL